package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 启信宝企业风控关系表对象 cms_ent_risk_qxb_info_rel
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:05
 */
@TableName("cms_ent_risk_qxb_info_rel")
public class CmsEntRiskQxbInfoRel  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long relId;

	/** 风控信息ID */
	@ApiModelProperty(value = "风控信息ID")
	private Long infoId;

	/** 服务商类型 */
	@ApiModelProperty(value = "服务商类型")
	private Character entType;

	/** 基本信息 */
	@ApiModelProperty(value = "基本信息")
	private String baseInfo;

	/** 工商年报 */
	@ApiModelProperty(value = "工商年报")
	private String reportListInfo;

	/** 纳税人类型 */
	@ApiModelProperty(value = "纳税人类型")
	private String taxpayerListInfo;

	/** 社保信息 */
	@ApiModelProperty(value = "社保信息")
	private String socialSecurityInfo;

	/** 行政处罚 */
	@ApiModelProperty(value = "行政处罚")
	private String adminPunishInfo;

	/** 经营异常 */
	@ApiModelProperty(value = "经营异常")
	private String abnormalsInfo;

	/** 重大税收违法 */
	@ApiModelProperty(value = "重大税收违法")
	private String taxCaseInfo;

	/** 严重违法 */
	@ApiModelProperty(value = "严重违法")
	private String seriousIllegalInfo;

	/** 主要人员 */
	@ApiModelProperty(value = "主要人员")
	private String employeesInfo;

	/** 失信被执行企业 */
	@ApiModelProperty(value = "失信被执行企业")
	private String executionListInfo;

	/** 纳税A级 */
	@ApiModelProperty(value = "纳税A级")
	private String creditGradeInfo;

	/** 删除标记 */
	@ApiModelProperty(value = "删除标记")
	private String delFlag;

	/** 初始化标记 */
	@ApiModelProperty(value = "初始化标记")
	private Integer initFlag;

	/** 备注 */
	@ApiModelProperty(value = "备注")
	private String remarks;

	/** 租户 */
	@ApiModelProperty(value = "租户")
	private Long tenantId;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;

	/** 过程状态 */
	@ApiModelProperty(value = "过程状态")
	private Integer processState;

	/** 重新审核状态 */
	@ApiModelProperty(value = "重新审核状态")
	private Integer isRedo;
	
	@JsonProperty("relId")
	public Long getRelId() {
		return relId;
	}

	public void setRelId(Long relId) {
		this.relId =  relId;
	}
	@JsonProperty("infoId")
	public Long getInfoId() {
		return infoId;
	}

	public void setInfoId(Long infoId) {
		this.infoId =  infoId;
	}
	@JsonProperty("entType")
	public Character getEntType() {
		return entType;
	}

	public void setEntType(Character entType) {
		this.entType =  entType;
	}
	@JsonProperty("baseInfo")
	public String getBaseInfo() {
		return baseInfo;
	}

	public void setBaseInfo(String baseInfo) {
		this.baseInfo =  baseInfo;
	}
	@JsonProperty("reportListInfo")
	public String getReportListInfo() {
		return reportListInfo;
	}

	public void setReportListInfo(String reportListInfo) {
		this.reportListInfo =  reportListInfo;
	}
	@JsonProperty("taxpayerListInfo")
	public String getTaxpayerListInfo() {
		return taxpayerListInfo;
	}

	public void setTaxpayerListInfo(String taxpayerListInfo) {
		this.taxpayerListInfo =  taxpayerListInfo;
	}
	@JsonProperty("socialSecurityInfo")
	public String getSocialSecurityInfo() {
		return socialSecurityInfo;
	}

	public void setSocialSecurityInfo(String socialSecurityInfo) {
		this.socialSecurityInfo =  socialSecurityInfo;
	}
	@JsonProperty("adminPunishInfo")
	public String getAdminPunishInfo() {
		return adminPunishInfo;
	}

	public void setAdminPunishInfo(String adminPunishInfo) {
		this.adminPunishInfo =  adminPunishInfo;
	}
	@JsonProperty("abnormalsInfo")
	public String getAbnormalsInfo() {
		return abnormalsInfo;
	}

	public void setAbnormalsInfo(String abnormalsInfo) {
		this.abnormalsInfo =  abnormalsInfo;
	}
	@JsonProperty("taxCaseInfo")
	public String getTaxCaseInfo() {
		return taxCaseInfo;
	}

	public void setTaxCaseInfo(String taxCaseInfo) {
		this.taxCaseInfo =  taxCaseInfo;
	}
	@JsonProperty("seriousIllegalInfo")
	public String getSeriousIllegalInfo() {
		return seriousIllegalInfo;
	}

	public void setSeriousIllegalInfo(String seriousIllegalInfo) {
		this.seriousIllegalInfo =  seriousIllegalInfo;
	}
	@JsonProperty("employeesInfo")
	public String getEmployeesInfo() {
		return employeesInfo;
	}

	public void setEmployeesInfo(String employeesInfo) {
		this.employeesInfo =  employeesInfo;
	}
	@JsonProperty("executionListInfo")
	public String getExecutionListInfo() {
		return executionListInfo;
	}

	public void setExecutionListInfo(String executionListInfo) {
		this.executionListInfo =  executionListInfo;
	}
	@JsonProperty("creditGradeInfo")
	public String getCreditGradeInfo() {
		return creditGradeInfo;
	}

	public void setCreditGradeInfo(String creditGradeInfo) {
		this.creditGradeInfo =  creditGradeInfo;
	}
	@JsonProperty("delFlag")
	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag =  delFlag;
	}
	@JsonProperty("initFlag")
	public Integer getInitFlag() {
		return initFlag;
	}

	public void setInitFlag(Integer initFlag) {
		this.initFlag =  initFlag;
	}
	@JsonProperty("remarks")
	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks =  remarks;
	}
	@JsonProperty("tenantId")
	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId =  tenantId;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}
	@JsonProperty("processState")
	public Integer getProcessState() {
		return processState;
	}

	public void setProcessState(Integer processState) {
		this.processState =  processState;
	}
	@JsonProperty("isRedo")
	public Integer getIsRedo() {
		return isRedo;
	}

	public void setIsRedo(Integer isRedo) {
		this.isRedo =  isRedo;
	}

																																																
	public CmsEntRiskQxbInfoRel(Long relId,Long infoId,Character entType,String baseInfo,String reportListInfo,String taxpayerListInfo,String socialSecurityInfo,String adminPunishInfo,String abnormalsInfo,String taxCaseInfo,String seriousIllegalInfo,String employeesInfo,String executionListInfo,String creditGradeInfo,String delFlag,Integer initFlag,String remarks,Long tenantId,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime,Integer processState,Integer isRedo) {
		this.relId = relId;
		this.infoId = infoId;
		this.entType = entType;
		this.baseInfo = baseInfo;
		this.reportListInfo = reportListInfo;
		this.taxpayerListInfo = taxpayerListInfo;
		this.socialSecurityInfo = socialSecurityInfo;
		this.adminPunishInfo = adminPunishInfo;
		this.abnormalsInfo = abnormalsInfo;
		this.taxCaseInfo = taxCaseInfo;
		this.seriousIllegalInfo = seriousIllegalInfo;
		this.employeesInfo = employeesInfo;
		this.executionListInfo = executionListInfo;
		this.creditGradeInfo = creditGradeInfo;
		this.delFlag = delFlag;
		this.initFlag = initFlag;
		this.remarks = remarks;
		this.tenantId = tenantId;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
		this.processState = processState;
		this.isRedo = isRedo;
	}

	public CmsEntRiskQxbInfoRel() {
	    super();
	}

}